## tiemu 3.04~git20110801

=== bin/Makefile ===
CC=gcc
CFLAGS=-Os -fomit-frame-pointer
RM=rm -f

all: maketib s2asm strip

maketib: maketib.c
	$(CC) $(CFLAGS) maketib.c -o maketib$(EXEEXT)

s2asm: s2asm.c
	$(CC) $(CFLAGS) s2asm.c -o s2asm$(EXEEXT)

strip: strip.c
	$(CC) $(CFLAGS) strip.c -o strip$(EXEEXT)

clean:
	$(RM) maketib$(EXEEXT) s2asm$(EXEEXT) strip$(EXEEXT) *~
