## tiemu 3.04~git20110801-nogdb+dfsg

=== debian/changelog ===
tiemu (3.04~git20110801-nogdb+dfsg-1) unstable; urgency=medium

  * New upstream version 3.04~git20110801-nogdb+dfsg.
  * Update patches and remove those applied upstream.
  * Bump Standards-Version to 4.0.1 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Fri, 18 Aug 2017 15:53:16 +0200

tiemu (3.03-nogdb+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with latest gcc.  (Closes: #871110).
  * Fix debian/watch to report correct upstream version.
  * Use secure URLs in debian/control.
  * Bump Standards-Version to 4.0.0 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Tue, 15 Aug 2017 14:32:28 +0200

tiemu (3.03-nogdb+dfsg-3) unstable; urgency=medium

  * Fix FTBFS on amd64: Add libarchive-dev to build-depends.
    (Closes: #746086). Thanks to HIGUCHI Daisuke <dai@debian.org>.
  * Bump Standards-Version to 3.9.5 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 May 2014 22:12:45 +0200
