=== debian/control ===
Source: tiemu
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas B. Mundt <andi@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.0.0),
               gettext,
               groff-base,
               libarchive-dev,
               libdbus-glib-1-dev,
               libglade2-dev,
               libgtk2.0-dev,
               libsdl1.2-dev (>= 1.2.0),
               libticables-dev (>= 1.3.4),
               libticalcs-dev (>= 1.1.8),
               libticonv-dev (>= 1.1.4),
               libtifiles-dev (>= 1.1.6),
               texinfo,
               zlib1g-dev
Standards-Version: 4.0.1
Homepage: https://github.com/debrouxl/tiemu
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/tiemu.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tiemu.git

Package: tiemu
Architecture: any
Depends: iceweasel | www-browser, ${misc:Depends}, ${shlibs:Depends}
Replaces: gtktiemu
Conflicts: gtktiemu, tiemu-gdb
Suggests: tiemu-skinedit
Description: Texas Instruments calculators emulator (without GDB)
 TiEmu emulates Texas Instruments calculators TI-89/92/92+/V200PLT.
 .
 It is based on XTiger, the original TI emulator for Linux, which
 uses the 68k emulation core from UAE (The Ultimate Amiga Emulator).
 .
 You need to either dump the ROM of your calculator (you can do so
 with TiLP), or get a FLASH upgrade from Texas Instrument (see the software
 section concerning your calculator, then download the archive and
 extract the file) to use this emulator. There are *no* TI ROMs provided
 in this package, as they are copyrighted by Texas Instruments, Inc.
 .
 However, a free (as in speech) ROM is now provided with TiEmu, namely
 PedRom. Try it out!
 .
 This version includes a VTI-style assembly debugger.
 .
 Please note it exists another version (tiemu-gdb) not provided on Debian
 itself which includes a GDB-style assembly debugger for use with TIGCC
 and/or KTIGCC.
