## tiemu 3.04~git20110801-nogdb+dfsg1

=== debian/changelog ===
tiemu (3.04~git20110801-nogdb+dfsg1-2) unstable; urgency=medium

  * Add sensible-utils as dependency.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Andreas B. Mundt <andi@debian.org>  Wed, 03 Oct 2018 08:52:17 +0300

tiemu (3.04~git20110801-nogdb+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.04~git20110801-nogdb+dfsg1 with removed copy of
    web site for DFSG reasons.
  * Remove www-browser from depends, only needed to read the docs.
  * Add desktop file.

 -- Andreas B. Mundt <andi@debian.org>  Mon, 25 Jun 2018 14:17:34 +0200

tiemu (3.04~git20110801-nogdb+dfsg-3) unstable; urgency=medium

  * Fix 'debian/watch' file.

 -- Andreas B. Mundt <andi@debian.org>  Sun, 20 May 2018 08:44:52 +0300

tiemu (3.04~git20110801-nogdb+dfsg-2) unstable; urgency=medium

  * Update Vcs-* links to 'salsa.debian.org'.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump compatibility level to 11.
  * Update debian/rules and dependencies, use latest libraries.
  * DEP-5 copyright and update 'debian/watch'.
  * Fix FTBFS with customized abort()-function (closes: #895492).

 -- Andreas B. Mundt <andi@debian.org>  Sat, 19 May 2018 21:24:03 +0300
