=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11.0.0),
                gettext,
                groff-base,
                libarchive-dev,
@@ -12,20 +11,20 @@
                libglade2-dev,
                libgtk2.0-dev,
                libsdl1.2-dev (>= 1.2.0),
-               libticables-dev (>= 1.3.4),
-               libticalcs-dev (>= 1.1.8),
-               libticonv-dev (>= 1.1.4),
-               libtifiles-dev (>= 1.1.6),
+               libticables-dev (>= 1.3.5),
+               libticalcs-dev (>= 1.1.9),
+               libticonv-dev (>= 1.1.5),
+               libtifiles-dev (>= 1.1.7),
                texinfo,
                zlib1g-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/debrouxl/tiemu
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/tiemu.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/tiemu.git
+Vcs-Git: https://salsa.debian.org/science-team/tiemu.git
+Vcs-Browser: https://salsa.debian.org/science-team/tiemu
 
 Package: tiemu
 Architecture: any
-Depends: iceweasel | www-browser, ${misc:Depends}, ${shlibs:Depends}
+Depends: sensible-utils, ${misc:Depends}, ${shlibs:Depends}
 Replaces: gtktiemu
 Conflicts: gtktiemu, tiemu-gdb
 Suggests: tiemu-skinedit
