=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-kde --disable-gdb --enable-dbus

override_dh_auto_install:
	dh_auto_install
	rm debian/tiemu/usr/share/tiemu/COPYING
