=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg$// ,repacksuffix=+dfsg" \
https://sf.net/gtktiemu/ .*/tiemu-(.+)\.tar\.gz
