## tiemu 3.04~git20200827.f327e1c+dfsg1

=== debian/changelog ===
tiemu (3.04~git20200827.f327e1c+dfsg1-2build1) kinetic; urgency=medium

  * No-change rebuild against libticalcs2-13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 20 Aug 2022 18:02:27 +0000

tiemu (3.04~git20200827.f327e1c+dfsg1-2) unstable; urgency=medium

  * Skip number on repacksuffix.
  * Fix location and content of documentation files. This should make
    the package reproducible again.

 -- Andreas B. Mundt <andi@debian.org>  Mon, 15 Aug 2022 14:05:45 +0200

tiemu (3.04~git20200827.f327e1c+dfsg1-1) unstable; urgency=medium

  * Prepare for salsa-ci.
  * Bump Standards-Version and dh compat level (no changes needed).
  * Update dependencies (closes: #1017187) and fix some lintian complaints.
  * Extract sources for package from upstream git automatically.
  * Update non-DFSG files to be removed automatically.
  * New upstream version 3.04~git20200827.f327e1c+dfsg1
  * Fix hardening: Add compiler FLAGS.

 -- Andreas B. Mundt <andi@debian.org>  Sun, 14 Aug 2022 17:39:31 +0200
