=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tiemu
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas B. Mundt <andi@debian.org>
-Build-Depends: debhelper (>= 11.0.0),
+Build-Depends: debhelper-compat (= 13),
                gettext,
                groff-base,
                libarchive-dev,
@@ -15,9 +16,11 @@
                libticalcs-dev (>= 1.1.9),
                libticonv-dev (>= 1.1.5),
                libtifiles-dev (>= 1.1.7),
+               libusb-1.0-0-dev,
                texinfo,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/debrouxl/tiemu
 Vcs-Git: https://salsa.debian.org/science-team/tiemu.git
 Vcs-Browser: https://salsa.debian.org/science-team/tiemu
