=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -13,3 +15,5 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/tiemu/usr/share/tiemu/COPYING
+	rm debian/tiemu/usr/share/tiemu/LICENSES
+	rm -r debian/tiemu/usr/share/tiemu/help
