## tiemu 3.04~git20220826.cda2db4%2Bdfsg

=== debian/changelog ===
tiemu (3.04~git20220826.cda2db4+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:03 +1100

tiemu (3.04~git20220826.cda2db4+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:08:31 +0000

tiemu (3.04~git20220826.cda2db4+dfsg-2) unstable; urgency=medium

  * Fix FTBFS on riscv64 (closes: #1026981). Thanks to Eric Long
    <i@hack3r.moe> for the patch.

 -- Andreas B. Mundt <andi@debian.org>  Fri, 30 Dec 2022 11:36:41 +0100

tiemu (3.04~git20220826.cda2db4+dfsg-1) unstable; urgency=medium

  [ Andreas B. Mundt ]
  * New upstream version 3.04~git20220826.cda2db4+dfsg
  * Register documentation using doc-base and some related clean-up.
  * Drop all patches applied upstream.
  * Bump Standards-Version to 4.6.2 (no changes needed).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Andreas B. Mundt <andi@debian.org>  Sat, 24 Dec 2022 14:43:32 +0100
