=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                libdbus-glib-1-dev,
                libglade2-dev,
                libgtk2.0-dev,
-               libsdl1.2-dev (>= 1.2.0),
-               libticables-dev (>= 1.3.5),
-               libticalcs-dev (>= 1.1.9),
-               libticonv-dev (>= 1.1.5),
-               libtifiles-dev (>= 1.1.7),
+               libsdl1.2-dev,
+               libticables-dev,
+               libticalcs-dev,
+               libticonv-dev,
+               libtifiles-dev,
                libusb-1.0-0-dev,
                texinfo,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/debrouxl/tiemu
 Vcs-Git: https://salsa.debian.org/science-team/tiemu.git
