## tiemu 3.04~git20220826.cda2db4+dfsg

=== src/Makefile ===
##############################################################################
### PREOS MAKEFILE ###########################################################
##############################################################################

CC=tigcc
ASM=tigcc
RM=rm -f
MV=mv -f
CP=cp
HW2TSR=-WA,-vhw2tsr hw2tsr/h220xtsr.a

### GENERAL RULES #############################################################


.PHONY: all clean

all: clean preos

distclean: clean

clean:
	$(RM) preos.89z preos.9xz preos.v2z *~
	$(RM) preos

preos:	check.asm  install.asm  parser.asm  preos.asm  sams.asm  sld.asm  svector.asm  uninstal.asm
	$(ASM) preos.asm $(HW2TSR)
	$(CP) preos.9xz preos
	$(MV) preos.89z preos.9xz preos.v2z ..
