=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm debian/tiemu/usr/share/tiemu/COPYING
-	rm debian/tiemu/usr/share/tiemu/LICENSES
-	rm -r debian/tiemu/usr/share/tiemu/help
+	rm debian/tiemu/usr/share/doc/tiemu/COPYING
