=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=3.04~git%cd.%h,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/debrouxl/tiemu \
HEAD debian debian/clean-orig-source
